%define upstream_name    Data-BitStream
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A bit stream class including integer coding
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 1.0.6
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%{?perl_default_filter}

%description
A Mouse/Moose class providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium. While this Perl implementation may not be
appropriate for many of these applications (speed and Perl), it can be very
useful for prototyping and experimenting with different codes. A future
implementation using XS for internals may resolve some performance
concerns.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.80.0-7pclos2017
- rebuild against updates

